[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora 6 - 2007-07-06



On Sat, 07 Jul 2007 01:33:03 +0200, David Nielsen wrote:

> > > For Fedora 6 there is no problem yet, since the build is blocked in
> > > needsign for now. But your fix in CVS
> > > 
> > >  # Replaces old unmanaged DBus-sharp implementation
> > >  Provides:		dbus-sharp = 0.64
> > > -Provides:		mono(dbus-sharp)
> > > +Provides:		mono(dbus-sharp) = 0.64
> > >  Obsoletes:		dbus-sharp < 0.64
> > > 
> > > won't suffice, since nothing obsoletes dbus-sharp-devel yet, and f-spot in
> > > Core and banshee in Extras would still need a rebuild because they require
> > > a different EVR.
> > 
> > And since this is '6' not '7', Core cannot build against Extras,
> > so, this thing needs more work.
> 
> What would you propose, sadly the timing is really bad as I'm leaving to
> go to a wedding and will likely be out of reach till after Monday.

What I propose is: focus on F7 and/or F8 and treat F6 as a stable
distribution. If ndesk-dbus* serves as a bug-fix upgrade for F6, prepare
the full set of updates and talk to authoritative Fedora people, i.e.
FESCo, on how to proceed. Because a package in Extras would obsolete Core
(a MUSTNOT), and a package in Core that is broken in the process would
need a fix or a rebuild (the latter is a CANTFIX unless f-spot were moved
into Extras).

> Clearly you are right with regards to FC-6, I'd love to replace it with
> ndesk-dbus across the board but that is not going to happen it seems.
> How about retracting for FC-6?

ndesk-dbus for F6 has not been released from needsign yet. ;)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]